<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>場次</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />

<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
<link rel="stylesheet" href="/css/Animate.css" th:href="@{/css/Animate.css}" />
<link rel="stylesheet" href="/css/button.css" th:href="@{/css/button.css}" />
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js">
	</script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js">
	</script>
	
	</head>
<body>
<br/><br/><br/><br/>
	<div class="container">
		<form th:action="stockRetrieveByCategory" method="post">
			種類：<select name="stockCategory" th:field="${stockCategory.id}">
				<option th:each="stockCategory : ${allStockCategories}"
					th:value="${stockCategory.id}" th:text="${stockCategory.name}">商業</option>
			</select>
			<div class="btn-group">
				<input type="submit" value="確認" class="blue" /> 
				
				<a href="stockRetrieveAll">
				<input type="button" value="顯示所有" class="blue" />
				</a>
			</div>
		</form>
		<form th:action="stockRetrieveByHost" method="post">
		主辦單位:<select name="stockHost" th:field="${stockHost.id}">
			<option th:each="stockHost : ${allStockHosts}"
				th:value="${stockHost.id}" th:text="${stockHost.host_name}">商業</option>
		</select> 
		<div class="btn-group">
		<input type="submit" value="Submit" class="blue"/> <a href="stockRetrieveAll"><input
			type="button" value="Show All Stocks" class="blue"/></a>
			</div>
	</form>
		<a th:href="@{stockCreate}">新增演出</a>
		<p><a href="/index" th:href="@{/index}">回首頁</a></p>
		<table class="table table-bordered table-striped">
			<tr>
				<th>海報</th>
				<th>演出名稱</th>
				<th>演出類型</th>
				<th>演出地點</th>
				<th>演出者</th>
				<th>主辦單位</th>
				<th>定價</th>
				<th>優惠價</th>
				<th></th>
			</tr>
			<tr th:each="stock : ${stocks} " th:object="${stock}">
				<td><img th:src="*{photo}" width="200px"/></td>
				<td><span th:text="*{name}">PC</span></td>
				<td><span th:text="*{stockCategory.name}">PC</span></td>
				<td><span th:text="*{place}">56</span></td>
				<td><span th:text="*{performers}">20</span></td>
				<td><span th:text="*{stockHost.host_name}">20</span></td>
				<td><span th:text="*{price}">20</span></td>
				<td><span th:text="*{discountedPrice}">10</span></td>
				<td><a th:href="@{scheduleCreate(id=${stock.id})}">新增場次</a> 
				<a th:href="@{stockUpdate(id=${stock.id})}">修改</a>
				<a th:href="@{stockDelete(id=${stock.id})}">刪除</a> 
				<a th:href="@{scheduleDetail(id=${stock.id})}">查看場次</a>
				<span class="glyphicon glyphicon-search"></span>
				</td>
			</tr>
		</table>
	</div>
</body>
</html>